function [X_norm, mu, sigma] = featureNormalize(X)
%FEATURENORMALIZE Normalizacija znailk iz X 
%   FEATURENORMALIZE(X) vrne normalizirano verzijo znailk X, kjer je
%   srednja vrednost vsake znailke 0, standardna deviacija pa 1. To je
%   pogosto zelo koristen postopek pri delu z linearnimi algoritmi. 


% Na koncu je potrebno pravilno podati naslednje vrednosti
X_norm = X;
mu = zeros(1, size(X, 2));
sigma = zeros(1, size(X, 2));

% ====================== VAA KODA ======================
% NAvodila: najprej izraunajte srednjo vrednost za vsako znailko (za
%           vsako dimenzijo vektorja znailk)in jo odtejte podatkov, pri
%           tem pa shranite njeno vrednost v spremenljivki mu. Nato
%           izraunajte e standardno deviacijo za vsako znailko in z njo
%           delite vsako znailko podatkovne zbirke. Pri tem shranite
%           vrednost standardnedeviacije v spremenljivki sigma. 
%
%               Upotevajte, da je X matrika, kjer vsak stolpec predstavlja 
%               znailko, vsaka vrstica pa primer. Normalizacijo izvedite   
%               loeno za vsako znailko. 
%
% Pomo: Pri tej nalogi bosta zelo uporabni vgrajeni fnunkciji 'mean' in 'std'.
%       










% ============================================================

end
