function [theta, J_history] = gradientDescentMulti(X, y, theta, alpha, num_iters)
%GRADIENTDESCENTMULTI Izvede gradientni spust za doloitev thete 
%   theta = GRADIENTDESCENTMULTI(x, y, theta, alpha, num_iters) posodablja theto 
%   num_iters gradient koraki z uno stopnjo alpha

% Inicializacija
m = length(y); % tevilo elementov une mnoice
J_history = zeros(num_iters, 1);

for iter = 1:num_iters

    % ====================== VAA KODA ======================
    % INavodila: Izvedite en sam gradientni korak na vektorju theta. 
    %
    % Pomo: Za namen iskanja napak je lahko uporabno e izrisujemo
    %        vrednosti strokovne funkcije (computeCostMulti) in gradienta.
    %

   









    % ============================================================

    % Shranite stroek J v vsaki iteraciji    
    J_history(iter) = computeCostMulti(X, y, theta);

end

end
